%define name ipython
%define tar_name ipython
%define version 0.8.2
%define rel 1

Summary: 	An enhanced interactive Python shell
Name: 		%{name}
Version: 	%{version}
Release: 	%mkrel %{rel}
Source0: 	http://ipython.scipy.org/dist/%{tar_name}-%{version}.tar.bz2
Source1:	ipython.elc
Patch0:		setup.py.patch
License: 	BSD-like
Group: 		Development/Python
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires: 	python-devel
Requires: 	python
BuildArch: 	noarch
Url: 		http://ipython.scipy.org

%description

IPython provides a replacement for the interactive Python interpreter with
extra functionality.

Main features:

 * Comprehensive object introspection.

 * Input history, persistent across sessions.

 * Caching of output results during a session with automatically generated
   references.

 * Readline based name completion.

 * Extensible system of 'magic' commands for controlling the environment and
   performing many tasks related either to IPython or the operating system.

 * Configuration system with easy switching between different setups (simpler
   than changing $PYTHONSTARTUP environment variables every time).

 * Session logging and reloading.

 * Extensible syntax processing for special purpose situations.

 * Access to the system shell with user-extensible alias system.

 * Easily embeddable in other Python programs.

 * Integrated access to the pdb debugger and the Python profiler. 

%prep
%setup -q -n %{tar_name}-%{version}
%patch0 -p0

%build
%__python setup.py build

%install
%__rm -rf %{buildroot}
%__python setup.py install --root=%{buildroot} --record=INSTALLED_FILES.tmp
%__rm -rf %{buildroot}%{_usr}/IPython
%__grep -v /usr/share/doc/ipython-0.8.1/extensions INSTALLED_FILES.tmp > INSTALLED_FILES
%__mkdir -p %{buildroot}%{_datadir}/emacs/site-lisp/
%__install -m 644 doc/ipython.el %{buildroot}%{_datadir}/emacs/site-lisp/
%__install -m 644 %SOURCE1 %{buildroot}%{_datadir}/emacs/site-lisp/

%clean
%__rm -rf %{buildroot}

%files -f INSTALLED_FILES
%defattr(-,root,root)
%{_datadir}/emacs/site-lisp/*


%changelog
* Sun Dec 02 2007 Lev Givon <lev@mandriva.org> 0.8.2-1mdv2008.1
+ Revision: 114366
- Update to 0.8.2.

* Thu May 10 2007 Lev Givon <lev@mandriva.org> 0.8.1-1mdv2008.0
+ Revision: 25997
- Update to 0.8.1.

* Tue Apr 17 2007 Lev Givon <lev@mandriva.org> 0.8.0-1mdv2008.0
+ Revision: 13736
- Update to 0.8.0.


* Thu Dec 21 2006 Gaëtan Lehmann <glehmann@mandriva.org> 0.7.3-1mdv2007.0
+ Revision: 101121
- 0.7.3

* Sun Dec 10 2006 Lev Givon <lev@mandriva.org> 0.7.2-4mdv2007.1
+ Revision: 94433
- Include man pages properly.
- Fix license.
  Make sure package can still build properly with Python < 2.5.

* Mon Dec 04 2006 Lev Givon <lev@mandriva.org> 0.7.2-3mdv2007.1
+ Revision: 90453
- Update to build properly with Python 2.5.

* Sat Oct 28 2006 Lev Givon <lev@mandriva.org> 0.7.2-2mdv2007.1
+ Revision: 73563
- Patch Shell.py to not call deprecated gdk methods when running pylab.
- Import ipython

* Thu Jun 08 2006 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 0.7.2-1mdv2007.0
- New release 0.7.2

* Tue Jan 31 2006 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 0.7.1.fix1-1mdk
- New release 0.7.1.fix1

* Tue Jan 24 2006 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 0.7.1-1mdk
- New release 0.7.1

* Wed Jan 11 2006 Michael Scherer <misc@mandriva.org> 0.7.0-3mdk
- make it rpmbuildupdatable ( and fix the wrong upload with 1mdk )

* Wed Jan 11 2006 Michael Scherer <misc@mandriva.org> 0.7.0-2mdk
- Use new python macro

* Tue Jan 10 2006 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 0.7.0-1mdk
- New release 0.7.0
- drop Patch0 (merged upstream)

* Sun Jun 12 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 0.6.15-1mdk
- New release 0.6.15
- Patch0: fix completion for objects with invalid attribute names
- use mkrel
- remove dot in summary

* Fri Mar 04 2005 Michael Scherer <misc@mandrake.org> 0.6.12-1mdk
- New release 0.6.12

* Thu Feb 17 2005 Michael Scherer <misc@mandrake.org> 0.6.11-1mdk
- New release 0.6.11

* Fri Jan 28 2005 Michael Scherer <misc@mandrake.org> 0.6.10-1mdk
- New release 0.6.10

* Thu Dec 16 2004 Michael Scherer <misc@mandrake.org> 0.6.6-1mdk
- New release 0.6.6

* Sat Dec 04 2004 Michael Scherer <misc@mandrake.org> 0.6.5-2mdk
- Rebuild for new python

* Fri Dec 03 2004 Michael Scherer <misc@mandrake.org> 0.6.5-1mdk
- New release 0.6.5

* Fri Nov 12 2004 Michael Scherer <misc@mandrake.org> 0.6.4-1mdk
- New release 0.6.4
- fix tarname

* Sat Oct 02 2004 Michael Scherer <misc@mandrake.org> 0.6.3-1mdk
- New release 0.6.3

* Thu Jul 01 2004 Michael Scherer <misc@mandrake.org> 0.6.0-1mdk
- First release for Mandrakelinux, based on work from Fernando Perez <fperez@colorado.edu>

